curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/database-servers/beast-mysql" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"slug": "<string>",
"node_id": 123,
"process_id": 123,
"tag": "<string>",
"port": 123,
"status": "<string>",
"databases_count": 123
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Database connections
Remove a Database server
Removes the Process and the record of a Database server that no connection uses. The data volume stays on the Node. A server that a connection points to returns database.server_in_use.
DELETE
/
api
/
v1
/
database-servers
/
{database_server}
curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/database-servers/beast-mysql" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"slug": "<string>",
"node_id": 123,
"process_id": 123,
"tag": "<string>",
"port": 123,
"status": "<string>",
"databases_count": 123
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}